package ru.yandex.webmaster3.admin.action.mobile;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.admin.security.action.AbstractAdminRequest;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

import java.net.URL;

/**
 * @author avhaliullin
 */
public class StartAdminMobileAuditRequest extends AbstractAdminRequest {
    private URL url;
    private int width = 320;
    private int height = 460;

    public int getWidth() {
        return width;
    }

    @Description("Ширина скриншота")
    @RequestQueryProperty
    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    @Description("Высота скриншота")
    @RequestQueryProperty
    public void setHeight(int height) {
        this.height = height;
    }

    public URL getUrl() {
        return url;
    }

    @Description("url для проверки")
    @RequestQueryProperty(required = true)
    public void setUrl(URL url) {
        this.url = url;
    }
}
